> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/api-reference/transports.md).

# Transports

## GET /transports/

> List all transports

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Transports"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"Statuses":{"enum":["created","updated","confirmed","declined","verified","invoiced","paid","cancelled","assigned","sent_to_trucker","acknowledged","truck_wash","on_loading_site","loading_complete","on_unloading_site","unloading_complete","bulking_break_started","bulking_break_complete","rounds_started","round_added","round_added_v2","round_edited","round_deleted","rounds_complete","event","checklist_filled","activity_complete","on_the_way","handling_started","done"],"type":"string"},"Transports":{"properties":{"count":{"type":"integer"},"next":{"nullable":true,"type":"string"},"previous":{"nullable":true,"type":"string"},"results":{"items":{"$ref":"#/components/schemas/TransportsListItem"},"type":"array"}},"type":"object"},"TransportsListItem":{"allOf":[{"$ref":"#/components/schemas/Transport"},{"$ref":"#/components/schemas/RetrievedTransport_allOf"}],"type":"object"},"Transport":{"properties":{"uid":{"description":"Dashdoc's internal id. It will be automatically generated by us.","format":"uuid","type":"string"},"sequential_id":{"type":"number"},"created":{"description":"Date of creation sent by the creator. Useful when the transport is created by mobile devices. If network connection is bad, the `created` date can be later than `created_device`","format":"date-time","type":"string"},"updated":{"format":"date-time","type":"string"},"deleted":{"nullable":true,"type":"string"},"remote_id":{"description":"Your transport id. It has to be unique among all your transports","type":"string"},"carrier_address":{"$ref":"#/components/schemas/AddressForTransport"},"created_by":{"$ref":"#/components/schemas/Company"},"created_device":{"format":"date-time","type":"string"},"creation_method":{"enum":["mobile_app","api","web_app"],"type":"string"},"archived_by":{"items":{"type":"object"},"type":"array"},"is_order":{"type":"boolean"},"carrier_assignation_status":{"allOf":[{"$ref":"#/components/schemas/CarrierAssignationStatus"}],"nullable":true},"invite_code":{"type":"string"},"deliveries":{"items":{"$ref":"#/components/schemas/Delivery"},"type":"array"},"segments":{"items":{"$ref":"#/components/schemas/Segment"},"type":"array"},"status":{"$ref":"#/components/schemas/Statuses"},"status_updates":{"items":{"$ref":"#/components/schemas/Status"},"type":"array"},"has_observations":{"type":"boolean"},"messages":{"items":{"$ref":"#/components/schemas/TransportMessage"},"type":"array"},"requested_vehicle":{"$ref":"#/components/schemas/requested_vehicle"},"documents":{"items":{"$ref":"#/components/schemas/Document"},"type":"array"},"carrier_reference":{"description":"Text that will help the carrier operators manage the transports, e.g. transport number in his TMS. It should only be set by the carrier of the transport and the transport's creator can toggle a company-wide setting to only allow the carrier to set it.","type":"string"},"price":{"$ref":"#/components/schemas/deprecated_price"},"requires_washing":{"description":"Flag to enable the truck washing flow in the mobile app","type":"boolean"},"business_privacy":{"description":"Flag to enable 'business privacy' mode: no eCMR will be generated, and the trucker won't be prompted to share the transport link.","type":"boolean"},"is_multiple_compartments":{"description":"Flag to enable 'multiple compartments' mode: truckers will have to select in which compartments loads were loaded. It also generates a specific delivery document : loading_plan.","type":"boolean"},"loading_plan":{"description":"Uid of the loading plan created by the trucker. Contact us if you need to retrieve data from it","type":"string"},"customer_to_invoice":{"$ref":"#/components/schemas/customer_to_invoice"},"parent_transport":{"$ref":"#/components/schemas/Transport_parent_transport"},"invoice_number":{"nullable":true,"type":"string"},"invoiced_price":{"$ref":"#/components/schemas/deprecated_invoiced_price"},"volume_display_unit":{"enum":["m3","L"],"type":"string"},"references":{"items":{"$ref":"#/components/schemas/Transport_references"},"type":"array"},"rental_deliveries":{"description":"Array of transports executed by the trucker during the rental order. Implies that the current transport is a rental order. Inner objects have the same transport data structure.","items":{"$ref":"#/components/schemas/Transport"},"type":"array"},"billing-metrics":{"deprecated":true,"description":"Retired feature, will always be null.","nullable":true,"type":"string"},"shape":{"type":"string"},"instructions":{"$ref":"#/components/schemas/global_instructions"},"carbon_footprint":{"description":"Carbon footprint of the transport in kgCO2","nullable":true,"readOnly":true,"type":"number"},"tags":{"description":"List of tags applied to the transport.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"}},"required":["business_privacy","carrier_address","carrier_reference","created","created_by","created_device","creation_method","deliveries","documents","has_observations","invite_code","invoice_number","is_order","messages","price","references","remote_id","requested_vehicle","requires_washing","segments","sequential_id","status","status_updates","uid","updated"],"type":"object"},"AddressForTransport":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"created_by":{"type":"number"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"company":{"$ref":"#/components/schemas/CompanyForTransportAddress"},"original":{"type":"number"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"address_is_origin_and_is_destination":{"description":"Whether this address is a \"Logistic Points\" and will be usable as pickup/delivery point.\nThe distinction between origin/pickup and destination/delivery was merged as a single \"Logistic Point\" concept. `is_origin` implies `is_destination` and vice-versa.\n","type":"boolean"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"CompanyForTransportAddress":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"description":"The id of the company in your system.","type":"string"},"name":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"settings_contract_html":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_logo":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_stamp":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_print_mode":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"settings_special_agreements":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"}},"type":"object"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"CarrierAssignationStatus":{"description":"Carrier assignment state of an order (Only for chartered transport). Null values should be treated as unassigned.","enum":["unassigned","draft_assigned","assigned"],"type":"string"},"Delivery":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"sequential_id":{"description":"eCMR number","type":"number"},"remote_id":{"type":"string"},"tracking_id":{"description":"Deprecated","type":"string"},"origin":{"$ref":"#/components/schemas/CreateOrUpdateSite"},"destination":{"$ref":"#/components/schemas/CreateOrUpdateSite"},"shipper_address":{"$ref":"#/components/schemas/NewAddressReduced"},"planned_loads":{"description":"Loads as planned before the transport has been started","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"loads":{"description":"Loads as they are most recently defined. This means it is: \n\n* equal to `planned_loads` before loading is actually done \n\n* equal to `origin_loads` after loading is done (with details validated by trucker), but unloading is not done yet \n\n* equal to `loads_loads` after unloading is actually done (with details validated by trucker)","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"origin_loads":{"description":"Loads as validated by trucker right after loading is done","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"destination_loads":{"description":"Loads as validated by trucker right after unloading is done","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"tracking_contacts":{"description":"List of contacts that will automatically receive an email when delivery is done. ⚠️ If no tracking contacts are provided for a company and the setting `partner_email_fallback` is enabled, a tracking contact corresponding to the company's email will be added, at the creation of the transport. This only applies to the carrier and the shipper.","items":{"$ref":"#/components/schemas/Delivery_tracking_contacts"},"type":"array"},"shipper_reference":{"description":"Reference the client may use to match transport on his own system, e.g. an order number. The transport's creator can toggle a setting to only allow himself to set it.","type":"string"},"multiple_rounds":{"description":"If true, the trucker will be able to do a signature at loading, then add any amount of rounds for the transport (with weight/volume and weight ticket), and finish with a signature at unloading.","type":"boolean"}},"type":"object"},"CreateOrUpdateSite":{"properties":{"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the site in your system","type":"string"},"address":{"allOf":[{"$ref":"#/components/schemas/SiteAddress"}],"nullable":true},"real_start":{"description":"date and time when trucker arrived on site","format":"date-time","readOnly":true,"type":"string"},"real_end":{"description":"date and time when trucker completed loading / unloading (depending whether site is origin or destination)","format":"date-time","readOnly":true,"type":"string"},"signature_process":{"type":"string"},"is_booking_needed":{"type":"boolean"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"reference":{"type":"string"},"action":{"deprecated":true,"description":"Deprecated. Accepted for backward compatibility but ignored. Responses always return an empty string.","type":"string"},"eta":{"format":"date-time","nullable":true,"type":"string"},"eta_tracking":{"type":"boolean"},"punctuality_status":{"readOnly":true,"type":"string"},"supports_exchanges":{"$ref":"#/components/schemas/SupportsExchange"},"category":{"type":"string"},"slots":{"items":{"$ref":"#/components/schemas/Site_slots"},"type":"array"},"trucker_instructions":{"$ref":"#/components/schemas/trucker_instructions"},"trip":{"$ref":"#/components/schemas/Site_trip"}},"type":"object"},"SiteAddress":{"description":"Address of the site. Reference an existing address with its `pk` or `remote_id`, or send its details to have it matched or created.","properties":{"pk":{"description":"Dashdoc's internal id. Optional, set it to reference an existing address.","type":"integer"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"company":{"$ref":"#/components/schemas/CompanyForTransportAddress_1"}},"type":"object"},"site_instructions":{"description":"Site instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR. If the field is not provided, the address's site instructions will be used.","maxLength":1000,"type":"string"},"CompanyForTransportAddress_1":{"description":"Identification of the company. You may simply use its `pk` or `remote_id` if the company already exists. Other possible identification method are its `trade_number` or `name`. If it doesn't exist, the company will be created with the information you send based on what's possible when creating a company via /companies/ web service. Minimum required information in this case is a name.","properties":{"pk":{"description":"Dashdoc's internal id.Optional, not required if `remote_id` is sent.","type":"integer"},"remote_id":{"description":"The id of the company in your system. Optional, ignored if `pk` is sent.","type":"string"},"trade_number":{"maxLength":100,"type":"string"},"name":{"maxLength":200,"type":"string"}},"type":"object"},"SupportsExchange":{"properties":{"uid":{"description":"uid of the support exchange","format":"uuid","type":"string"},"site":{"$ref":"#/components/schemas/SupportsExchange_site"},"support_type":{"$ref":"#/components/schemas/SupportType"},"expected_retrieved":{"description":"Expected number of supports that should be retrieved on the site","type":"number"},"actual_retrieved":{"description":"Actual number of supports that were retrieved on the site","type":"number"},"expected_delivered":{"description":"Expected number of supports that should be delivered on the site","type":"number"},"actual_delivered":{"description":"Actual number of supports that were delivered on the site","type":"number"},"observations":{"description":"Free text. Observations about this supports exchange. Can be filled on mobile app, web app or via API.","type":"string"},"remote_id":{"description":"The ID of the support in your system","type":"string"}},"type":"object"},"SupportsExchange_site":{"description":"site where supports exchange is expected","properties":{"uid":{"description":"uid of the site","format":"uuid","type":"string"},"remote_id":{"description":"remote_id of the site","type":"string"}},"type":"object"},"SupportType":{"description":"Type of the supports that are exchanged","properties":{"name":{"description":"Display name of the support type","type":"string"},"created":{"$ref":"#/components/schemas/created"},"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the support type in your system.","type":"string"}},"type":"object"},"Site_slots":{"properties":{"start":{"format":"date-time","type":"string"},"end":{"format":"date-time","type":"string"}},"type":"object"},"trucker_instructions":{"description":"**This field is part of a beta feature.** Private instructions. **The carrier of the transport is the only one who can edit and read those instructions.** Note that those instructions are not visible in the consignment note and can be accessed by the trucker. The value is null if the caller doesn't have the right of access to the data.","maxLength":1000,"type":"string"},"Site_trip":{"description":"Trip linked to this site/activity.","nullable":true,"properties":{"uid":{"format":"uuid","type":"string"},"name":{"type":"string"},"is_prepared":{"type":"boolean"},"status":{"enum":["unstarted","ongoing","done"],"type":"string"}},"readOnly":true,"type":"object"},"NewAddressReduced":{"properties":{"pk":{"description":"Dashdoc's internal id. Optional, set it to reference an existing address.","type":"integer"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"type":"boolean"},"is_destination":{"type":"boolean"},"created_by":{"description":"Ignore. Dashdoc technical data.","readOnly":true,"type":"number"},"created":{"description":"Date of creation on our server","format":"date-time","readOnly":true,"type":"string"},"instructions":{"type":"string"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"company":{"$ref":"#/components/schemas/CompanyForTransportAddress"},"original":{"description":"Ignore. Dashdoc technical data.","nullable":true,"readOnly":true,"type":"number"}},"required":["address","city","company","country","postcode"],"type":"object"},"DeliveryLoads":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"remote_id":{"description":"The ID of the load in your system. It has to be unique among all your transports.","type":"string"},"description":{"description":"Text description of the load","type":"string"},"reference":{"description":"Reference of the load","type":"string"},"round_id":{"description":"The ID of the round.","format":"integer","type":"number"},"weight":{"description":"In kilograms","format":"float","type":"number"},"volume":{"description":"Volume of load in m3","format":"float","type":"number"},"volume_display_unit":{"default":"m3","enum":["m3","L"],"type":"string"},"linear_meters":{"description":"Length of load in meters","format":"float","type":"number"},"quantity":{"description":"Only one decimal accepted (e.g 0.0)","format":"float","type":"number"},"pallet_equivalence":{"description":"Pallet equivalence (EPS/EQPAL): how many standard pallet spaces the load occupies. `null` when it was never set. Otherwise at least `0.01`, with two decimals kept.","format":"float","nullable":true,"type":"number"},"category":{"description":"Packaging of the load. The text is free but these specific values cause a custom flow on the mobile app: `pallets`, `containers`, `bulk`, `roundwood`, `powder_tank`, `bulk_qualimat`, `rental`.","type":"string"},"dangerous_goods_category":{"description":"ADR class","enum":["1","2","3","4.1","4.2","4.3","5.1","5.2","6.1","6.2","7","8","9"],"type":"string"},"is_dangerous":{"type":"boolean"},"adr_un_code":{"type":"string"},"legal_mentions":{"type":"string"},"complementary_information":{"description":"Any information about the load that doesn't fit to the description field","type":"string"},"container_number":{"type":"string"},"tare_weight":{"description":"In kilograms","format":"float","type":"number"},"container_seal_number":{"type":"string"},"refrigerated":{"description":"Indicates whether the load is refrigerated. If true, the trucker can fill in the temperature.","type":"boolean"},"temperature":{"type":"string"},"steres":{"format":"float","type":"number"},"idtf_number":{"description":"Must match an existing IDTF number","type":"string"},"use_identifiers":{"description":"if `true`, trucker is asked to scan barcode identifiers on load","type":"boolean"},"identifiers":{"description":"Only relevant if use_identifiers is set to `true`. List of expected barcode identifiers that the trucker should scan at loading and unloading. App controls that expected barcodes are actually scanned. If empty, the trucker will have to scan barcodes anyway, but there won't be any check. Feature has to be activated in your account by your Dashdoc projet manager.","items":{"type":"string"},"type":"array"},"identifiers_observations":{"description":"Observations explaining issues with identifier, such as missing or unexpected identifiers","type":"string"}},"type":"object"},"Delivery_tracking_contacts":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"contact":{"$ref":"#/components/schemas/NewContact"},"subscribed_to_status_updates":{"description":"If set to true, the contact will receive an email at every step of the delivery. Else, they will receive only one email once the delivery is done.","type":"boolean"},"role":{"description":"The role of the contact in the delivery. It can be `carrier`, `shipper`, or `site`.","type":"string"}},"required":["contact"],"type":"object"},"NewContact":{"properties":{"uid":{"format":"uuid","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","readOnly":true,"type":"string"},"company":{"$ref":"#/components/schemas/CompanyIdentification"},"first_name":{"maxLength":200,"type":"string"},"last_name":{"maxLength":200,"type":"string"},"email":{"format":"email","type":"string"},"phone_number":{"maxLength":100,"type":"string"},"fax_number":{"maxLength":100,"type":"string"},"remote_id":{"description":"The id of the contact in your system","type":"string"}},"required":["company","last_name"],"type":"object"},"CompanyIdentification":{"description":"Identification of the company. The company must already exist in Dashdoc.","properties":{"pk":{"description":"Dashdoc's internal id. Optional, not required if `remote_id` is sent.","type":"integer"},"remote_id":{"description":"Your remote carrier id. Optional, ignored if `pk` is sent.","type":"string"},"name":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"settings_contract_html":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_logo":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_stamp":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_print_mode":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"settings_special_agreements":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"vat_number":{"type":"string"},"is_verified":{"description":"Ignore. Dashdoc technical data.","type":"string"}},"type":"object"},"Segment":{"description":"","properties":{"uid":{"minLength":1,"type":"string"},"remote_id":{"minLength":1,"type":"string"},"origin":{"$ref":"#/components/schemas/Site"},"destination":{"$ref":"#/components/schemas/Site"},"trucker":{"$ref":"#/components/schemas/SegmentTrucker"},"vehicle":{"$ref":"#/components/schemas/Vehicle"},"trailers":{"items":{"$ref":"#/components/schemas/Trailer"},"type":"array"},"sort_order":{"description":"The index of the segment in the transport","minimum":0,"type":"number"},"scheduled_start_range":{"$ref":"#/components/schemas/Segment_scheduled_start_range"},"scheduled_end_range":{"$ref":"#/components/schemas/Segment_scheduled_end_range"},"scheduled_start":{"deprecated":true,"description":"The datetime at which the carrier scheduled the start of this segment\n","type":"string"},"scheduled_end":{"deprecated":true,"description":"The datetime at which the carrier scheduled the end of this segment","type":"string"},"child_transport":{"$ref":"#/components/schemas/Segment_child_transport"},"telematic_distance":{"description":"Automatically computed distance from telematic data (in kms).","type":"integer"},"distance":{"description":"Manually entered distance. If null, it takes the value of telematic_distance (in kms).","type":"integer"},"origin_mileage":{"description":"Mileage at transport origin site (in kms).","type":"integer"},"destination_mileage":{"description":"Mileage at transport destination site (in kms).","type":"integer"}},"type":"object"},"Site":{"properties":{"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the site in your system","type":"string"},"address":{"$ref":"#/components/schemas/Address"},"real_start":{"description":"date and time when trucker arrived on site","format":"date-time","type":"string"},"real_end":{"description":"date and time when trucker completed loading / unloading (depending whether site is origin or destination)","format":"date-time","type":"string"},"signature_process":{"type":"string"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"reference":{"type":"string"},"action":{"deprecated":true,"description":"Deprecated. Always returned as an empty string.","type":"string"},"eta":{"nullable":true,"type":"string"},"eta_tracking":{"$ref":"#/components/schemas/eta_tracking"},"punctuality_status":{"$ref":"#/components/schemas/punctuality_status"},"supports_exchanges":{"$ref":"#/components/schemas/SupportsExchange"},"category":{"enum":["loading","unloading"],"type":"string"},"slots":{"items":{"$ref":"#/components/schemas/Site_slots"},"type":"array"},"trucker_instructions":{"$ref":"#/components/schemas/trucker_instructions"},"trip":{"$ref":"#/components/schemas/Site_trip"}},"type":"object"},"Address":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"original":{"description":"Dashdoc's internal id of the original address.","nullable":true,"readOnly":true,"type":"number"},"company":{"$ref":"#/components/schemas/Company"}},"type":"object"},"eta_tracking":{"default":false,"description":"Ask for an ETA on this site. This is currently a beta feature, not activated by default.","type":"boolean"},"punctuality_status":{"default":"untracked","description":"Indicate the punctuality on this site.","enum":["untracked","probably_late","probably_on_time","late","on_time"],"type":"string"},"SegmentTrucker":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"description":"The ID of the trucker in your system. It has to be unique among all your truckers.","type":"string"},"display_name":{"type":"string"},"user":{"$ref":"#/components/schemas/SegmentTruckerUser"}},"type":"object"},"SegmentTruckerUser":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"first_name":{"type":"string"},"last_name":{"type":"string"},"username":{"description":"Ignore. Dashdoc technical data.","type":"string"},"email":{"format":"email","type":"string"},"display_name":{"description":"Display name generated by Dashdoc.","type":"string"},"date_joined":{"description":"Ignore. Dashdoc technical data.","format":"date-time","type":"string"},"is_staff":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"is_superuser":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"has_usable_password":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"Vehicle":{"properties":{"pk":{"description":"Dashdoc's internal id","type":"number"},"carrier":{"description":"Dashdoc's internal id of the carrier owning the vehicle","type":"number"},"category":{"description":"Vehicle category","type":"string"},"license_plate":{"description":"License plate number","type":"string"},"fleet_number":{"description":"Your vehicle fleet number","type":"string"},"remote_id":{"description":"The ID of the vehicle in your system","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"used_for_qualimat_transports":{"description":"True if the vehicle can be used for Qualimat transport (only used for visual help and warnings)","type":"boolean"},"telematic_vehicle":{"description":"Ignore. Dashdoc technical data","type":"number"},"original":{"type":"number"},"tags":{"description":"List of tags applied to the vehicle.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"},"technical_control_deadline":{"format":"date-time","type":"string"},"tachograph_deadline":{"format":"date-time","type":"string"},"speed_limiter_deadline":{"format":"date-time","type":"string"},"country":{"$ref":"#/components/schemas/country"},"unavailability":{"description":"List of unavailable period","items":{"$ref":"#/components/schemas/Unavailability"},"type":"array"},"events":{"description":"Ignore. Dashdoc technical data.","items":{"type":"object"},"type":"array"}},"type":"object"},"Tag":{"properties":{"pk":{"description":"The unique identifier of the tag","type":"integer"},"name":{"description":"The name of the tag","type":"string"},"color":{"description":"The color of the tag in hex format","type":"string"},"tag_group_id":{"description":"The ID of the tag group this tag belongs to, if any","nullable":true,"type":"integer"}},"required":["color","name","pk"],"type":"object"},"Unavailability":{"properties":{"id":{"description":"Dashdoc's internal id","type":"number"},"remote_id":{"description":"The ID of the unavailability in your system","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"start_date":{"description":"Start date of the unavailability","format":"date-time","type":"string"},"end_date":{"description":"End date of the unavailability","format":"date-time","type":"string"},"unavailability_type":{"description":"Type of unavailability","enum":["paid_vacation","day_off","sick_leave","training","vacation","maintenance","rental","other"],"type":"string"},"unavailability_note":{"description":"Notes about the unavailability","type":"string"}},"type":"object"},"Trailer":{"properties":{"pk":{"description":"Dashdoc's internal id","type":"number"},"original":{"description":"Ignore. Dashdoc technical data","type":"number"},"carrier":{"description":"Dashdoc's internal id of the carrier owning the trailer","type":"number"},"license_plate":{"description":"License plate number","type":"string"},"fleet_number":{"description":"Your trailer fleet number","type":"string"},"remote_id":{"description":"The ID of the trailer in your system","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"used_for_qualimat_transports":{"description":"True if the trailer can be used for Qualimat transport (only used for visual help and warnings)","type":"boolean"},"tags":{"description":"List of tags applied to the trailer.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"},"technical_control_deadline":{"format":"date-time","type":"string"},"country":{"$ref":"#/components/schemas/country"},"unavailability":{"description":"List of unavailable period","items":{"$ref":"#/components/schemas/Unavailability"},"type":"array"},"events":{"description":"Ignore. Dashdoc technical data.","items":{"type":"object"},"type":"array"}},"type":"object"},"Segment_scheduled_start_range":{"description":"The datetime range at which the carrier scheduled the start of this segment","properties":{"start":{"description":"Min scheduled start date (ISO 8601)","type":"string"},"end":{"description":"Max scheduled start date (ISO 8601)","type":"string"}},"type":"object"},"Segment_scheduled_end_range":{"description":"The datetime range at which the carrier scheduled the end of this segment","properties":{"start":{"description":"Min scheduled end date (ISO 8601)","type":"string"},"end":{"description":"Max scheduled end date (ISO 8601)","type":"string"}},"type":"object"},"Segment_child_transport":{"description":"If the segment is chartered, will contain the child transport","properties":{"uid":{"format":"uuid","type":"string"},"sequential_id":{"type":"number"},"remote_id":{"type":"string"},"has_strong_link":{"type":"boolean"}},"type":"object"},"Status":{"properties":{"uid":{"format":"uuid","type":"string"},"created":{"description":"Date of creation on the server. Useful when the transport is created by mobile devices. If network connection is bad, the `created` date can be later than `created_device`","format":"date-time","type":"string"},"created_device":{"description":"If created from a mobile device, date of creation on the device.","format":"date-time","type":"string"},"creation_method":{"type":"string"},"category":{"description":"event that occured on the transport","type":"string"},"author":{"description":"details about author of the update. Contact Dashdoc if more details is needed.","type":"object"},"content":{"description":"Contact Dashdoc if more details is needed.","type":"object"},"content_signatory":{"description":"Contact Dashdoc if more details is needed.","type":"object"},"target":{"description":"Contact Dashdoc if more details is needed.","type":"object"},"site":{"description":"Contact Dashdoc if more details is needed.","type":"object"},"site_id":{"description":"Contact Dashdoc if more details is needed.","format":"uuid","type":"string"},"delivery":{"description":"Contact Dashdoc if more details is needed.","format":"uuid","type":"string"},"segment":{"description":"Contact Dashdoc if more details is needed.","format":"uuid","type":"string"},"transport":{"description":"Contact Dashdoc if more details is needed.","format":"uuid","type":"string"},"signature":{"description":"Contact Dashdoc if more details is needed.","type":"object"},"latitude":{"description":"Contact Dashdoc if more details is needed.","format":"float","type":"number"},"longitude":{"description":"Contact Dashdoc if more details is needed.","format":"float","type":"number"},"update_details":{"description":"Contact Dashdoc if more details is needed.","type":"object"},"author_company":{"type":"number"}},"required":["uid"],"type":"object"},"TransportMessage":{"properties":{"uid":{"format":"uuid","type":"string"},"created":{"$ref":"#/components/schemas/created"},"created_device":{"format":"date-time","type":"string"},"creation_method":{"type":"string"},"author":{"$ref":"#/components/schemas/NewTransportMessage_author"},"type":{"enum":["note","load_verification","share","document","photo"],"maxLength":100,"type":"string"},"document_title":{"description":"Filename or if uploaded by a trucker from the mobile app, the document title is generic, for instance `photo`.","maxLength":100,"type":"string"},"document_type":{"enum":["load_photo","cmr","washing_note","delivery_note","confirmation","weight_note","waste_manifest","holders_swap_note","invoice"],"maxLength":100,"type":"string"},"document":{"description":"URL of the stored document. You can download the document from this URL.","type":"string"},"is_attached_to_cmr":{"type":"boolean"},"transport":{"format":"uuid","type":"string"},"site":{"description":"This field is used for the default values of the field readable_by_company_ids; if null, companies from all Sites of the transport are listed in readable_by_company_ids, otherwise only the company of this Site. Site must exist in this transport. This field is part of a beta feature.","format":"uuid","nullable":true,"type":"string"},"site_remote_id":{"type":"string"},"readable_by_company_ids":{"description":"A list containing the pk of each company allowed to access the document, every company must be part of the transport. If no values are sent, it will be computed with default values; Carrier, Shipper, Invoiced Customer and Site's pk (see Site field). Once values have been sent, the behavior adding default companies is deactivated. The author company is always added. Only pks of companies from the transport will be added, others will be ignored. This field is part of a beta feature.","items":{"type":"integer"},"type":"array"},"message":{"description":"message displayed in the activity thread of a transport in the web app and in the mobile app","type":"string"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"reference":{"description":"Free text. This reference is searchable in the transports dashboard. Filled by trucker if document is added from mobile app, by user if document is added from web app, or filled by API request.","maxLength":140,"type":"string"},"visible_by_everyone":{"$ref":"#/components/schemas/visible_by_everyone"},"readable_by_trucker":{"$ref":"#/components/schemas/readable_by_trucker"},"extracted_reference":{"description":"Reference extracted by AI from the document. AI runs only on weight notes, so it will be null for other documents. \"\" if no reference has been found by the AI.","type":"string"}},"type":"object"},"NewTransportMessage_author":{"properties":{"display_name":{"type":"string"},"company":{"type":"number"},"pk":{"description":"Dashdoc's internal id.","type":"number"}},"type":"object"},"visible_by_everyone":{"description":"This field is used to make the transport message public, which makes it visible by all parties of the transport.","type":"boolean"},"readable_by_trucker":{"description":"This field is used to allow truckers to see the transport message. **Only available for carriers.**","type":"boolean"},"requested_vehicle":{"description":"Only useful when the transport is created by the shipper. Free text except punction and special characters.","maxLength":40,"type":"string"},"Document":{"properties":{"pk":{"type":"integer"},"file_updated_date":{"description":"Date was updated on the server.","format":"date-time","type":"string"},"delivery":{"description":"Contact Dashdoc if more details are needed.","format":"uuid","type":"string"},"delivery_sequential_id":{"description":"eCMR number (for category \"cmr\" and \"ldv\")","type":"integer"},"reference":{"type":"integer"},"category":{"description":"Type of document. Possible values are \"cmr\", \"cmr4\", \"ldv\", \"orc\", \"chc\", \"rental\" and \"loading_plan\"","type":"string"},"languages":{"description":"Languages displayed in the document (CMR only), formatted as an 2-letter ISO 639-1 language code","items":{"type":"string"},"type":"array"},"name":{"description":"generic name of the document","type":"string"},"file":{"description":"path to the document","format":"url","type":"string"},"business_privacy_scope":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"cancelled":{"description":"Date of cancellation of the the document","format":"date-time","type":"string"}},"type":"object"},"deprecated_price":{"deprecated":true,"description":"Full price for the transport","format":"float","nullable":true,"type":"number"},"customer_to_invoice":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"invoicing_address":{"$ref":"#/components/schemas/customer_to_invoice_invoicing_address"}},"type":"object"},"customer_to_invoice_invoicing_address":{"properties":{"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"}},"type":"object"},"Transport_parent_transport":{"description":"if this is a chartered transport, this will contains the parent transport it is chartered from","properties":{"uid":{"format":"uuid","type":"string"},"sequential_id":{"type":"number"},"remote_id":{"type":"string"},"has_strong_link":{"type":"boolean"}},"type":"object"},"deprecated_invoiced_price":{"deprecated":true,"description":"Invoiced price for the transport. Deprecated in favour of pricing field","format":"float","nullable":true,"type":"number"},"Transport_references":{"properties":{"role":{"type":"string"},"company":{"$ref":"#/components/schemas/Transport_company"},"reference":{"type":"string"}},"type":"object"},"Transport_company":{"properties":{"name":{"type":"string"}},"type":"object"},"global_instructions":{"description":"Operating instructions. The carrier, the shipper and the creator of the transport have access to those instructions. However, the creator is the only who has the right to edit.","maxLength":1000,"type":"string"},"RetrievedTransport_allOf":{"properties":{"agreed_price_total":{"description":"The total of the agreed price (including fuel surcharge, excluding taxes) if readable, otherwise null.","nullable":true,"type":"string"},"invoiced_price_total":{"description":"The total of the invoiced price (including fuel surcharge, excluding taxes) if readable, otherwise null.","nullable":true,"type":"string"},"shipper_final_price_total":{"description":"The total of the shipper final price (including fuel surcharge, excluding taxes) if readable, otherwise null.","nullable":true,"type":"string"},"effective_price_total":{"description":"The total of the effective price (including fuel surcharge, excluding taxes) if readable, otherwise null.","nullable":true,"type":"string"},"purchase_cost_total":{"description":"The total of the purchase costs if readable, otherwise null.","nullable":true,"type":"string"},"segments":{"items":{"$ref":"#/components/schemas/SegmentWithLegTags"},"type":"array"}},"type":"object"},"SegmentWithLegTags":{"allOf":[{"$ref":"#/components/schemas/Segment"},{"$ref":"#/components/schemas/SegmentWithLegTags_allOf"}],"type":"object"},"SegmentWithLegTags_allOf":{"properties":{"tags":{"description":"Tags of the leg this segment belongs to. Segments of the same leg share its tags.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"}},"type":"object"}}},"paths":{"/transports/":{"get":{"operationId":"listTransports","parameters":[{"description":"A page number within the paginated result set.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"description":"Comma separated list of transport uids.","in":"query","name":"uid__in","required":false,"schema":{"type":"string"}},{"description":"Comma separated list of transport uids to exclude from results.","in":"query","name":"uid__not_in","required":false,"schema":{"type":"string"}},{"in":"query","name":"status","required":false,"schema":{"$ref":"#/components/schemas/Statuses"}},{"description":"Comma separated list of statuses.","in":"query","name":"status__in","required":false,"schema":{"$ref":"#/components/schemas/Statuses"}},{"description":"Filter transports created after or at a certain date","in":"query","name":"created__gte","required":false,"schema":{"format":"date-time","type":"string"}},{"description":"Filter transports created before or at a certain date","in":"query","name":"created__lte","required":false,"schema":{"format":"date-time","type":"string"}},{"description":"Filter transports updated after or at a certain date","in":"query","name":"updated__gte","required":false,"schema":{"format":"date-time","type":"string"}},{"description":"Filter transports updated before or at a certain date","in":"query","name":"updated__lte","required":false,"schema":{"format":"date-time","type":"string"}},{"description":"filter on a particular carrier reference","in":"query","name":"carrier_reference","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Transports"}}},"description":"List of transports"}},"summary":"List all transports","tags":["Transports"]}}}}
````

## Create a transport

> This will create a transport. You can store your internal transport identifier in the \`remote\_id\` field.

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Transports"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"CreateOrUpdateTransport":{"properties":{"remote_id":{"description":"Your transport id. It has to be unique among all your transports","type":"string"},"carrier_address":{"allOf":[{"$ref":"#/components/schemas/NewAddressReduced"},{"description":"Please note : specifying an address alone is not enough to have the carrier receive emails.\nFor that please add a tracking contact on the first delivery. See\n`deliveries > tracking_contacts`. The company of the contact must match the company\nof the `carrier_address` for the contact to be registered as the **carrier tracking contact**.\n","type":"object"}]},"deliveries":{"items":{"$ref":"#/components/schemas/CreateOrUpdateDelivery"},"type":"array"},"segments":{"items":{"$ref":"#/components/schemas/CreateOrUpdateSegment"},"type":"array"},"requested_vehicle":{"$ref":"#/components/schemas/requested_vehicle"},"carrier_reference":{"description":"Text that will help the carrier operators manage the transports, e.g. transport number in his TMS","type":"string"},"price":{"$ref":"#/components/schemas/deprecated_price"},"requires_washing":{"description":"Flag to enable the truck washing flow in the mobile app","type":"boolean"},"business_privacy":{"description":"Flag to enable 'business privacy' mode: no eCMR will be generated, and the trucker won't be prompted to share the transport link.","type":"boolean"},"is_multiple_compartments":{"description":"Flag to enable 'multiple compartments' mode: truckers will have to select in which compartments loads were loaded. It also generated a specific delivery document : loading_plan.","type":"boolean"},"customer_to_invoice":{"$ref":"#/components/schemas/NullableCompanyPkOrRemoteId"},"instructions":{"$ref":"#/components/schemas/global_instructions"},"tags":{"description":"List of tags applied to the transport.","items":{"$ref":"#/components/schemas/TagInput"},"type":"array"},"quotation":{"$ref":"#/components/schemas/CreateOrUpdateTransport_quotation"},"volume_display_unit":{"default":"m3","enum":["m3","L"],"type":"string"},"transport_operation_category_uid":{"description":"UID of the transport operation category","format":"uuid","nullable":true,"type":"string"},"send_to_trucker":{"default":true,"description":"Flag to send the missions to the assigned truckers. It has no effect on already sent missions.","type":"boolean"}},"required":["deliveries","segments"],"type":"object"},"NewAddressReduced":{"properties":{"pk":{"description":"Dashdoc's internal id. Optional, set it to reference an existing address.","type":"integer"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"type":"boolean"},"is_destination":{"type":"boolean"},"created_by":{"description":"Ignore. Dashdoc technical data.","readOnly":true,"type":"number"},"created":{"description":"Date of creation on our server","format":"date-time","readOnly":true,"type":"string"},"instructions":{"type":"string"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"company":{"$ref":"#/components/schemas/CompanyForTransportAddress"},"original":{"description":"Ignore. Dashdoc technical data.","nullable":true,"readOnly":true,"type":"number"}},"required":["address","city","company","country","postcode"],"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"CompanyForTransportAddress":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"description":"The id of the company in your system.","type":"string"},"name":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"settings_contract_html":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_logo":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_stamp":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_print_mode":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"settings_special_agreements":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"}},"type":"object"},"CreateOrUpdateDelivery":{"properties":{"planned_loads":{"description":"Loads as planned before the transport has been started","items":{"$ref":"#/components/schemas/NewDeliveryLoads"},"type":"array"},"origin":{"$ref":"#/components/schemas/CreateOrUpdateSite"},"destination":{"$ref":"#/components/schemas/CreateOrUpdateSite"},"shipper_address":{"$ref":"#/components/schemas/NewAddressReduced"},"tracking_contacts":{"description":"List of contacts that will automatically receive an email when delivery is done.\nThe role of each contact will be determined by matching its company to a company\non the transport (carrier, shipper, pick-up, delivery).\n⚠️ If no tracking contacts are provided for a company and the setting `partner_email_fallback` is enabled,\na tracking contact corresponding to the company's email will be added, at the creation of the transport.\nThis only applies to the carrier and the shipper.\n","items":{"$ref":"#/components/schemas/CreateOrUpdateDelivery_tracking_contacts"},"type":"array"},"shipper_reference":{"description":"Reference the client may use to match transport on his own system, e.g. an order number.","type":"string"},"multiple_rounds":{"description":"If true, the trucker will be able to do a signature at loading, then add any amount of rounds for the transport (with weight/volume and weight ticket), and finish with a signature at unloading.","type":"boolean"}},"required":["destination","origin","shipper_address"],"type":"object"},"NewDeliveryLoads":{"properties":{"remote_id":{"description":"The ID of the load in your system. It has to be unique among all your transports.","type":"string"},"description":{"description":"Text description of the load. In the case of a dangerous load, the description has to respect the ADR law.","type":"string"},"reference":{"description":"Reference of the load.","type":"string"},"weight":{"description":"In kilograms","format":"float","type":"number"},"volume":{"description":"Volume of load in m3","format":"float","type":"number"},"linear_meters":{"description":"Length of load in meters","format":"float","type":"number"},"quantity":{"description":"Only one decimal accepted (e.g 0.0)","format":"float","type":"number"},"pallet_equivalence":{"description":"Pallet equivalence (EPS/EQPAL): how many standard pallet spaces the load occupies. Minimum `0.01`, and only two decimals are kept — omit it or send `null` rather than 0 when unknown. When a load is created from the Dashdoc interface this defaults to `quantity` × the handling unit's pallet equivalence, and stays freely overridable.","format":"float","nullable":true,"type":"number"},"category":{"description":"Packaging of the load. The text is free but these specific values cause a custom flow on the mobile app: `pallets`, `containers`, `bulk`, `roundwood`, `powder_tank`, `bulk_qualimat`, `rental`.","type":"string"},"handling_unit_uid":{"description":"Existing handling unit UID from the load type catalog.","format":"uuid","type":"string"},"good_uid":{"description":"Existing good UID from the goods catalog.","format":"uuid","type":"string"},"create_handling_unit":{"$ref":"#/components/schemas/NewDeliveryLoads_create_handling_unit"},"create_good":{"$ref":"#/components/schemas/NewDeliveryLoads_create_good"},"dangerous_goods_category":{"deprecated":true,"description":"ADR class","enum":["1","2","3","4.1","4.2","4.3","5.1","5.2","6.1","6.2","7","8","9"],"type":"string"},"is_dangerous":{"default":false,"description":"Indicates whether the load is dangerous. If true, the trucker has to confirm adr un code and legal mentions at unloading.","type":"boolean"},"adr_un_code":{"description":"Only for dangerous load, the official UN code from the ADR law.","type":"string"},"legal_mentions":{"description":"Only for dangerous load, all mandatory legal mentions printed on documents.","type":"string"},"complementary_information":{"description":"Any information about the load that doesn't fit to the description field.","type":"string"},"container_number":{"type":"string"},"tare_weight":{"description":"In kilograms","format":"float","type":"number"},"container_seal_number":{"type":"string"},"refrigerated":{"description":"Indicates whether the load is refrigerated. If true, the trucker can fill in the temperature.","type":"boolean"},"temperature":{"type":"string"},"steres":{"format":"float","type":"number"},"idtf_number":{"description":"Must match an existing IDTF number","type":"string"},"use_identifiers":{"description":"if `true`, trucker is asked to scan barcode identifiers on load","type":"boolean"},"identifiers":{"description":"Only relevant if use_identifiers is set to `true`. List of expected barcode identifiers that the trucker should scan at loading and unloading. App controls that expected barcodes are actually scanned. If empty, the trucker will have to scan barcodes anyway, but there won't be any check. Feature has to be activated in your account by your Dashdoc projet manager.","items":{"type":"string"},"type":"array"},"identifiers_observations":{"description":"Observations explaining issues with identifier, such as missing or unexpected identifiers","type":"string"}},"type":"object"},"NewDeliveryLoads_create_handling_unit":{"description":"Create a handling unit in the catalog and use its UID for this load. If provided, it silently overrides `handling_unit_uid`.","nullable":true,"properties":{"name":{"type":"string"},"dashdoc_load_category":{"type":"string"},"remote_id":{"type":"string"}},"type":"object"},"NewDeliveryLoads_create_good":{"description":"Create a good in the catalog and use its UID for this load. If provided, it silently overrides `good_uid`.","nullable":true,"properties":{"name":{"type":"string"},"additional_information":{"type":"string"},"remote_id":{"type":"string"}},"type":"object"},"CreateOrUpdateSite":{"properties":{"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the site in your system","type":"string"},"address":{"allOf":[{"$ref":"#/components/schemas/SiteAddress"}],"nullable":true},"real_start":{"description":"date and time when trucker arrived on site","format":"date-time","readOnly":true,"type":"string"},"real_end":{"description":"date and time when trucker completed loading / unloading (depending whether site is origin or destination)","format":"date-time","readOnly":true,"type":"string"},"signature_process":{"type":"string"},"is_booking_needed":{"type":"boolean"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"reference":{"type":"string"},"action":{"deprecated":true,"description":"Deprecated. Accepted for backward compatibility but ignored. Responses always return an empty string.","type":"string"},"eta":{"format":"date-time","nullable":true,"type":"string"},"eta_tracking":{"type":"boolean"},"punctuality_status":{"readOnly":true,"type":"string"},"supports_exchanges":{"$ref":"#/components/schemas/SupportsExchange"},"category":{"type":"string"},"slots":{"items":{"$ref":"#/components/schemas/Site_slots"},"type":"array"},"trucker_instructions":{"$ref":"#/components/schemas/trucker_instructions"},"trip":{"$ref":"#/components/schemas/Site_trip"}},"type":"object"},"SiteAddress":{"description":"Address of the site. Reference an existing address with its `pk` or `remote_id`, or send its details to have it matched or created.","properties":{"pk":{"description":"Dashdoc's internal id. Optional, set it to reference an existing address.","type":"integer"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"company":{"$ref":"#/components/schemas/CompanyForTransportAddress_1"}},"type":"object"},"address_is_origin_and_is_destination":{"description":"Whether this address is a \"Logistic Points\" and will be usable as pickup/delivery point.\nThe distinction between origin/pickup and destination/delivery was merged as a single \"Logistic Point\" concept. `is_origin` implies `is_destination` and vice-versa.\n","type":"boolean"},"site_instructions":{"description":"Site instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR. If the field is not provided, the address's site instructions will be used.","maxLength":1000,"type":"string"},"CompanyForTransportAddress_1":{"description":"Identification of the company. You may simply use its `pk` or `remote_id` if the company already exists. Other possible identification method are its `trade_number` or `name`. If it doesn't exist, the company will be created with the information you send based on what's possible when creating a company via /companies/ web service. Minimum required information in this case is a name.","properties":{"pk":{"description":"Dashdoc's internal id.Optional, not required if `remote_id` is sent.","type":"integer"},"remote_id":{"description":"The id of the company in your system. Optional, ignored if `pk` is sent.","type":"string"},"trade_number":{"maxLength":100,"type":"string"},"name":{"maxLength":200,"type":"string"}},"type":"object"},"SupportsExchange":{"properties":{"uid":{"description":"uid of the support exchange","format":"uuid","type":"string"},"site":{"$ref":"#/components/schemas/SupportsExchange_site"},"support_type":{"$ref":"#/components/schemas/SupportType"},"expected_retrieved":{"description":"Expected number of supports that should be retrieved on the site","type":"number"},"actual_retrieved":{"description":"Actual number of supports that were retrieved on the site","type":"number"},"expected_delivered":{"description":"Expected number of supports that should be delivered on the site","type":"number"},"actual_delivered":{"description":"Actual number of supports that were delivered on the site","type":"number"},"observations":{"description":"Free text. Observations about this supports exchange. Can be filled on mobile app, web app or via API.","type":"string"},"remote_id":{"description":"The ID of the support in your system","type":"string"}},"type":"object"},"SupportsExchange_site":{"description":"site where supports exchange is expected","properties":{"uid":{"description":"uid of the site","format":"uuid","type":"string"},"remote_id":{"description":"remote_id of the site","type":"string"}},"type":"object"},"SupportType":{"description":"Type of the supports that are exchanged","properties":{"name":{"description":"Display name of the support type","type":"string"},"created":{"$ref":"#/components/schemas/created"},"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the support type in your system.","type":"string"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"Site_slots":{"properties":{"start":{"format":"date-time","type":"string"},"end":{"format":"date-time","type":"string"}},"type":"object"},"trucker_instructions":{"description":"**This field is part of a beta feature.** Private instructions. **The carrier of the transport is the only one who can edit and read those instructions.** Note that those instructions are not visible in the consignment note and can be accessed by the trucker. The value is null if the caller doesn't have the right of access to the data.","maxLength":1000,"type":"string"},"Site_trip":{"description":"Trip linked to this site/activity.","nullable":true,"properties":{"uid":{"format":"uuid","type":"string"},"name":{"type":"string"},"is_prepared":{"type":"boolean"},"status":{"enum":["unstarted","ongoing","done"],"type":"string"}},"readOnly":true,"type":"object"},"CreateOrUpdateDelivery_tracking_contacts":{"properties":{"contact":{"$ref":"#/components/schemas/NewContact"},"subscribed_to_status_updates":{"description":"If set to true, the contact will receive an email at every step of the delivery. Else, they will receive only one email once the delivery is done.","type":"boolean"}},"required":["contact"],"type":"object"},"NewContact":{"properties":{"uid":{"format":"uuid","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","readOnly":true,"type":"string"},"company":{"$ref":"#/components/schemas/CompanyIdentification"},"first_name":{"maxLength":200,"type":"string"},"last_name":{"maxLength":200,"type":"string"},"email":{"format":"email","type":"string"},"phone_number":{"maxLength":100,"type":"string"},"fax_number":{"maxLength":100,"type":"string"},"remote_id":{"description":"The id of the contact in your system","type":"string"}},"required":["company","last_name"],"type":"object"},"CompanyIdentification":{"description":"Identification of the company. The company must already exist in Dashdoc.","properties":{"pk":{"description":"Dashdoc's internal id. Optional, not required if `remote_id` is sent.","type":"integer"},"remote_id":{"description":"Your remote carrier id. Optional, ignored if `pk` is sent.","type":"string"},"name":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"settings_contract_html":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_logo":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_stamp":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_print_mode":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"settings_special_agreements":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"vat_number":{"type":"string"},"is_verified":{"description":"Ignore. Dashdoc technical data.","type":"string"}},"type":"object"},"CreateOrUpdateSegment":{"properties":{"remote_id":{"description":"The id of the segment in your system. Optional.","type":"string"},"origin":{"$ref":"#/components/schemas/CreateOrUpdateSite"},"destination":{"$ref":"#/components/schemas/CreateOrUpdateSite"},"trucker_id":{"$ref":"#/components/schemas/UpdateSegment_trucker_id"},"vehicle":{"$ref":"#/components/schemas/NewVehicle"},"trailers":{"items":{"$ref":"#/components/schemas/NewTrailer"},"type":"array"}},"required":["destination","origin"],"type":"object"},"UpdateSegment_trucker_id":{"properties":{"pk":{"description":"Dashdoc's internal id. Optional, not required if `remote_id` is sent.","type":"number"},"remote_id":{"description":"The ID of the trucker in your system. Optional, ignored if pk is sent.","type":"string"}},"type":"object"},"NewVehicle":{"properties":{"remote_id":{"description":"The ID of the vehicle in your system.","type":"string"},"fleet_number":{"description":"Your vehicle fleet number. It has to be unique among all your vehicles. When filled, fleet number will be displayed in the web and mobile app next to license plate number. It can also be used for searches.","maxLength":10,"type":"string"},"license_plate":{"description":"License plate number (has to be unique)","maxLength":200,"type":"string"},"category":{"$ref":"#/components/schemas/vehicle_category"},"used_for_qualimat_transports":{"description":"True if the vehicle can be used for Qualimat transport (only used for vehicle that can handle a load without trailer). This value is used to add a Qualimat logo next to the vehicle in forms, in order to help the user selecting the vehicle when creating a transport. The is no control on the value. You can create a Qualimat transport with a vehicle that is not flagged for Qualimat. In this case a warning is displayed in the transport detail.","type":"boolean"},"tags":{"description":"List of tags applied to the vehicle.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"},"telematic_data_source":{"description":"The telematic where the vehicle is refered","enum":["alertgasoil","astrata","addsecure","dashdoc","eliott","fleetboard","geodynamics","geotracer","geotab","koovea","mappingcontrol","mapandtruck","masternaut","qeos","quartix","rio","scania","sudtelematique","transics","trimble","truckonline","vehizen","volvo","webfleet","strada","verizon","mapon","bump","samsara","samsara_mapandtruck","webeye","pass_tracabilite","bizztrack","aktkc_etransportas_mapandtruck","anima_mapandtruck","arvento_mapandtruck","as24_mapandtruck","axxess_mapandtruck","bornemann_infleet_mapandtruck","bpw_mapandtruck","cartrack_mapandtruck","commander_services_mapandtruck","dkv_mapandtruck","easytrack_mapandtruck","ecofleet_mapandtruck","edrive_mapandtruck","effitrailer_mapandtruck","ekolis_mapandtruck","fleetgo_mapandtruck","fleethand_mapandtruck","fleetmaster_mapandtruck","framelogic_mapandtruck","frotcom_mapandtruck","geotab_mapandtruck","gestracking_mapandtruck","globaltrack_mapandtruck","goodyear_france_mapandtruck","gps_mobile_mapandtruck","icell_mapandtruck","ims_telematics_mapandtruck","inelo_mapandtruck","infis_mapandtruck","jaltest_mapandtruck","k2gps_mapandtruck","keeptrace_mapandtruck","konsalnet_mapandtruck","krone_telematic_mapandtruck","legal_telematics_mapandtruck","linqo_mapandtruck","localizare_mapandtruck","locationsolutions_mapandtruck","loctracker_mapandtruck","mecomo_mapandtruck","microlise_mapandtruck","mix_telematics_mapandtruck","movertis_mapandtruck","movildata_mapandtruck","mtrack_mapandtruck","n2mobil_mapandtruck","naocom_mapandtruck","navifleet_mapandtruck","nexus_mapandtruck","ocean_mapandtruck","optifleet_mapandtruck","optimo_gps_mapandtruck","orbcomm_mapandtruck","orbcomm_africa_mapandtruck","pulsit_electronics_mapandtruck","quake_tracking_mapandtruck","riverlong_mapandtruck","sas_fleet_mapandtruck","satko_mapandtruck","schmitz_cargobull_mapandtruck","seyir_mobil_mapandtruck","skywatch_mapandtruck","solustop_mapandtruck","spedion_mapandtruck","speedtelematics_mapandtruck","starcom_mapandtruck","telepass_mapandtruck","terramar_networks_mapandtruck","tracker_mapandtruck","trackit_mapandtruck","tracknamic_mapandtruck","trendfire_mapandtruck","v3_smart_technologies_mapandtruck","vektor_teknoloji_mapandtruck","viafleet_mapandtruck","viasat_mapandtruck","visirun_mapandtruck","waynet_mapandtruck","wayzz_mapandtruck","webdispecink_mapandtruck"],"type":"string"},"vendor_id":{"description":"ID of the vehicle in the telematics system","type":"string"}},"type":"object"},"vehicle_category":{"description":"Vehicle category","enum":["unknown","light","straight","straight_tipper","tipper","tipper_cereal","tipper_construction","refrigerated","isotherm","platform","curtainsider","box_body","trailer_truck","flatbed","low_flatbed","log","coil","container","vehicle","heavy_equipment","solid_tanker","petrol_tanker","chemical_tanker","food_tanker","livestock","special_convoy"],"maxLength":200,"type":"string"},"Tag":{"properties":{"pk":{"description":"The unique identifier of the tag","type":"integer"},"name":{"description":"The name of the tag","type":"string"},"color":{"description":"The color of the tag in hex format","type":"string"},"tag_group_id":{"description":"The ID of the tag group this tag belongs to, if any","nullable":true,"type":"integer"}},"required":["color","name","pk"],"type":"object"},"NewTrailer":{"properties":{"remote_id":{"description":"The ID of the trailer in your system.","type":"string"},"fleet_number":{"description":"Your trailer fleet number. It has to be unique among all your trailers. When filled, fleet number will be displayed in the web and mobile app next to license plate number. It can also be used for searches.","maxLength":10,"type":"string"},"license_plate":{"description":"License plate number (has to be unique)","maxLength":200,"type":"string"},"used_for_qualimat_transports":{"description":"True if the trailer can be used for Qualimat transport. This value is used to add a Qualimat logo next to the trailer in forms, in order to help the user selecting the trailer when creating a transport. The is no control on the value. You can create a Qualimat transport with a trailer that is not flagged for Qualimat. In this case a warning is displayed in the transport detail.","type":"boolean"},"tags":{"description":"List of tags applied to the trailer.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"}},"type":"object"},"requested_vehicle":{"description":"Only useful when the transport is created by the shipper. Free text except punction and special characters.","maxLength":40,"type":"string"},"deprecated_price":{"deprecated":true,"description":"Full price for the transport","format":"float","nullable":true,"type":"number"},"NullableCompanyPkOrRemoteId":{"description":"Identification of the company. The company must already exist in Dashdoc.","nullable":true,"properties":{"pk":{"description":"Dashdoc's internal id. Optional, should not be sent if `remote_id` is sent.","type":"number"},"remote_id":{"description":"The ID of the company in your system. Optional, should not be sent if `pk` is sent.","type":"string"}},"type":"object"},"global_instructions":{"description":"Operating instructions. The carrier, the shipper and the creator of the transport have access to those instructions. However, the creator is the only who has the right to edit.","maxLength":1000,"type":"string"},"TagInput":{"properties":{"name":{"description":"The name of the tag. A tag is matched by its name, and created if it does not exist yet.","maxLength":40,"minLength":1,"type":"string"},"color":{"description":"The color of the tag in hex format. Only used when creating a new tag.","type":"string"}},"required":["name"],"type":"object"},"CreateOrUpdateTransport_quotation":{"description":"Pricing information for the transport","properties":{"lines":{"items":{"$ref":"#/components/schemas/NewPriceLine"},"type":"array"}},"type":"object"},"NewPriceLine":{"properties":{"description":{"description":"Description of the line","type":"string"},"quantity":{"type":"number"},"unit_price":{"type":"number"},"is_gas_indexed":{"description":"Whether the price is indexed on gas price using fuel surcharge","type":"boolean"},"metric":{"description":"Metric of the price line","enum":["FLAT","DISTANCE_IN_KM","DURATION_IN_MINUTE","DURATION_IN_HOUR","LOADED_WEIGHT_IN_KG","LOADED_WEIGHT_IN_TONNE","LOADED_VOLUME_IN_LITRE","LOADED_VOLUME_IN_M3","LOADED_QUANTITY","LOADED_LINEAR_METERS","UNLOADED_WEIGHT_IN_KG","UNLOADED_WEIGHT_IN_TONNE","UNLOADED_VOLUME_IN_LITRE","UNLOADED_VOLUME_IN_M3","UNLOADED_QUANTITY","UNLOADED_LINEAR_METERS","NB_DELIVERIES","NB_ROUNDS"],"type":"string"}},"type":"object"},"Transport":{"properties":{"uid":{"description":"Dashdoc's internal id. It will be automatically generated by us.","format":"uuid","type":"string"},"sequential_id":{"type":"number"},"created":{"description":"Date of creation sent by the creator. Useful when the transport is created by mobile devices. If network connection is bad, the `created` date can be later than `created_device`","format":"date-time","type":"string"},"updated":{"format":"date-time","type":"string"},"deleted":{"nullable":true,"type":"string"},"remote_id":{"description":"Your transport id. It has to be unique among all your transports","type":"string"},"carrier_address":{"$ref":"#/components/schemas/AddressForTransport"},"created_by":{"$ref":"#/components/schemas/Company"},"created_device":{"format":"date-time","type":"string"},"creation_method":{"enum":["mobile_app","api","web_app"],"type":"string"},"archived_by":{"items":{"type":"object"},"type":"array"},"is_order":{"type":"boolean"},"carrier_assignation_status":{"allOf":[{"$ref":"#/components/schemas/CarrierAssignationStatus"}],"nullable":true},"invite_code":{"type":"string"},"deliveries":{"items":{"$ref":"#/components/schemas/Delivery"},"type":"array"},"segments":{"items":{"$ref":"#/components/schemas/Segment"},"type":"array"},"status":{"$ref":"#/components/schemas/Statuses"},"status_updates":{"items":{"$ref":"#/components/schemas/Status"},"type":"array"},"has_observations":{"type":"boolean"},"messages":{"items":{"$ref":"#/components/schemas/TransportMessage"},"type":"array"},"requested_vehicle":{"$ref":"#/components/schemas/requested_vehicle"},"documents":{"items":{"$ref":"#/components/schemas/Document"},"type":"array"},"carrier_reference":{"description":"Text that will help the carrier operators manage the transports, e.g. transport number in his TMS. It should only be set by the carrier of the transport and the transport's creator can toggle a company-wide setting to only allow the carrier to set it.","type":"string"},"price":{"$ref":"#/components/schemas/deprecated_price"},"requires_washing":{"description":"Flag to enable the truck washing flow in the mobile app","type":"boolean"},"business_privacy":{"description":"Flag to enable 'business privacy' mode: no eCMR will be generated, and the trucker won't be prompted to share the transport link.","type":"boolean"},"is_multiple_compartments":{"description":"Flag to enable 'multiple compartments' mode: truckers will have to select in which compartments loads were loaded. It also generates a specific delivery document : loading_plan.","type":"boolean"},"loading_plan":{"description":"Uid of the loading plan created by the trucker. Contact us if you need to retrieve data from it","type":"string"},"customer_to_invoice":{"$ref":"#/components/schemas/customer_to_invoice"},"parent_transport":{"$ref":"#/components/schemas/Transport_parent_transport"},"invoice_number":{"nullable":true,"type":"string"},"invoiced_price":{"$ref":"#/components/schemas/deprecated_invoiced_price"},"volume_display_unit":{"enum":["m3","L"],"type":"string"},"references":{"items":{"$ref":"#/components/schemas/Transport_references"},"type":"array"},"rental_deliveries":{"description":"Array of transports executed by the trucker during the rental order. Implies that the current transport is a rental order. Inner objects have the same transport data structure.","items":{"$ref":"#/components/schemas/Transport"},"type":"array"},"billing-metrics":{"deprecated":true,"description":"Retired feature, will always be null.","nullable":true,"type":"string"},"shape":{"type":"string"},"instructions":{"$ref":"#/components/schemas/global_instructions"},"carbon_footprint":{"description":"Carbon footprint of the transport in kgCO2","nullable":true,"readOnly":true,"type":"number"},"tags":{"description":"List of tags applied to the transport.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"}},"required":["business_privacy","carrier_address","carrier_reference","created","created_by","created_device","creation_method","deliveries","documents","has_observations","invite_code","invoice_number","is_order","messages","price","references","remote_id","requested_vehicle","requires_washing","segments","sequential_id","status","status_updates","uid","updated"],"type":"object"},"AddressForTransport":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"created_by":{"type":"number"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"company":{"$ref":"#/components/schemas/CompanyForTransportAddress"},"original":{"type":"number"}},"type":"object"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"CarrierAssignationStatus":{"description":"Carrier assignment state of an order (Only for chartered transport). Null values should be treated as unassigned.","enum":["unassigned","draft_assigned","assigned"],"type":"string"},"Delivery":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"sequential_id":{"description":"eCMR number","type":"number"},"remote_id":{"type":"string"},"tracking_id":{"description":"Deprecated","type":"string"},"origin":{"$ref":"#/components/schemas/CreateOrUpdateSite"},"destination":{"$ref":"#/components/schemas/CreateOrUpdateSite"},"shipper_address":{"$ref":"#/components/schemas/NewAddressReduced"},"planned_loads":{"description":"Loads as planned before the transport has been started","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"loads":{"description":"Loads as they are most recently defined. This means it is: \n\n* equal to `planned_loads` before loading is actually done \n\n* equal to `origin_loads` after loading is done (with details validated by trucker), but unloading is not done yet \n\n* equal to `loads_loads` after unloading is actually done (with details validated by trucker)","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"origin_loads":{"description":"Loads as validated by trucker right after loading is done","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"destination_loads":{"description":"Loads as validated by trucker right after unloading is done","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"tracking_contacts":{"description":"List of contacts that will automatically receive an email when delivery is done. ⚠️ If no tracking contacts are provided for a company and the setting `partner_email_fallback` is enabled, a tracking contact corresponding to the company's email will be added, at the creation of the transport. This only applies to the carrier and the shipper.","items":{"$ref":"#/components/schemas/Delivery_tracking_contacts"},"type":"array"},"shipper_reference":{"description":"Reference the client may use to match transport on his own system, e.g. an order number. The transport's creator can toggle a setting to only allow himself to set it.","type":"string"},"multiple_rounds":{"description":"If true, the trucker will be able to do a signature at loading, then add any amount of rounds for the transport (with weight/volume and weight ticket), and finish with a signature at unloading.","type":"boolean"}},"type":"object"},"DeliveryLoads":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"remote_id":{"description":"The ID of the load in your system. It has to be unique among all your transports.","type":"string"},"description":{"description":"Text description of the load","type":"string"},"reference":{"description":"Reference of the load","type":"string"},"round_id":{"description":"The ID of the round.","format":"integer","type":"number"},"weight":{"description":"In kilograms","format":"float","type":"number"},"volume":{"description":"Volume of load in m3","format":"float","type":"number"},"volume_display_unit":{"default":"m3","enum":["m3","L"],"type":"string"},"linear_meters":{"description":"Length of load in meters","format":"float","type":"number"},"quantity":{"description":"Only one decimal accepted (e.g 0.0)","format":"float","type":"number"},"pallet_equivalence":{"description":"Pallet equivalence (EPS/EQPAL): how many standard pallet spaces the load occupies. `null` when it was never set. Otherwise at least `0.01`, with two decimals kept.","format":"float","nullable":true,"type":"number"},"category":{"description":"Packaging of the load. The text is free but these specific values cause a custom flow on the mobile app: `pallets`, `containers`, `bulk`, `roundwood`, `powder_tank`, `bulk_qualimat`, `rental`.","type":"string"},"dangerous_goods_category":{"description":"ADR class","enum":["1","2","3","4.1","4.2","4.3","5.1","5.2","6.1","6.2","7","8","9"],"type":"string"},"is_dangerous":{"type":"boolean"},"adr_un_code":{"type":"string"},"legal_mentions":{"type":"string"},"complementary_information":{"description":"Any information about the load that doesn't fit to the description field","type":"string"},"container_number":{"type":"string"},"tare_weight":{"description":"In kilograms","format":"float","type":"number"},"container_seal_number":{"type":"string"},"refrigerated":{"description":"Indicates whether the load is refrigerated. If true, the trucker can fill in the temperature.","type":"boolean"},"temperature":{"type":"string"},"steres":{"format":"float","type":"number"},"idtf_number":{"description":"Must match an existing IDTF number","type":"string"},"use_identifiers":{"description":"if `true`, trucker is asked to scan barcode identifiers on load","type":"boolean"},"identifiers":{"description":"Only relevant if use_identifiers is set to `true`. List of expected barcode identifiers that the trucker should scan at loading and unloading. App controls that expected barcodes are actually scanned. If empty, the trucker will have to scan barcodes anyway, but there won't be any check. Feature has to be activated in your account by your Dashdoc projet manager.","items":{"type":"string"},"type":"array"},"identifiers_observations":{"description":"Observations explaining issues with identifier, such as missing or unexpected identifiers","type":"string"}},"type":"object"},"Delivery_tracking_contacts":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"contact":{"$ref":"#/components/schemas/NewContact"},"subscribed_to_status_updates":{"description":"If set to true, the contact will receive an email at every step of the delivery. Else, they will receive only one email once the delivery is done.","type":"boolean"},"role":{"description":"The role of the contact in the delivery. It can be `carrier`, `shipper`, or `site`.","type":"string"}},"required":["contact"],"type":"object"},"Segment":{"description":"","properties":{"uid":{"minLength":1,"type":"string"},"remote_id":{"minLength":1,"type":"string"},"origin":{"$ref":"#/components/schemas/Site"},"destination":{"$ref":"#/components/schemas/Site"},"trucker":{"$ref":"#/components/schemas/SegmentTrucker"},"vehicle":{"$ref":"#/components/schemas/Vehicle"},"trailers":{"items":{"$ref":"#/components/schemas/Trailer"},"type":"array"},"sort_order":{"description":"The index of the segment in the transport","minimum":0,"type":"number"},"scheduled_start_range":{"$ref":"#/components/schemas/Segment_scheduled_start_range"},"scheduled_end_range":{"$ref":"#/components/schemas/Segment_scheduled_end_range"},"scheduled_start":{"deprecated":true,"description":"The datetime at which the carrier scheduled the start of this segment\n","type":"string"},"scheduled_end":{"deprecated":true,"description":"The datetime at which the carrier scheduled the end of this segment","type":"string"},"child_transport":{"$ref":"#/components/schemas/Segment_child_transport"},"telematic_distance":{"description":"Automatically computed distance from telematic data (in kms).","type":"integer"},"distance":{"description":"Manually entered distance. If null, it takes the value of telematic_distance (in kms).","type":"integer"},"origin_mileage":{"description":"Mileage at transport origin site (in kms).","type":"integer"},"destination_mileage":{"description":"Mileage at transport destination site (in kms).","type":"integer"}},"type":"object"},"Site":{"properties":{"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the site in your system","type":"string"},"address":{"$ref":"#/components/schemas/Address"},"real_start":{"description":"date and time when trucker arrived on site","format":"date-time","type":"string"},"real_end":{"description":"date and time when trucker completed loading / unloading (depending whether site is origin or destination)","format":"date-time","type":"string"},"signature_process":{"type":"string"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"reference":{"type":"string"},"action":{"deprecated":true,"description":"Deprecated. Always returned as an empty string.","type":"string"},"eta":{"nullable":true,"type":"string"},"eta_tracking":{"$ref":"#/components/schemas/eta_tracking"},"punctuality_status":{"$ref":"#/components/schemas/punctuality_status"},"supports_exchanges":{"$ref":"#/components/schemas/SupportsExchange"},"category":{"enum":["loading","unloading"],"type":"string"},"slots":{"items":{"$ref":"#/components/schemas/Site_slots"},"type":"array"},"trucker_instructions":{"$ref":"#/components/schemas/trucker_instructions"},"trip":{"$ref":"#/components/schemas/Site_trip"}},"type":"object"},"Address":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"original":{"description":"Dashdoc's internal id of the original address.","nullable":true,"readOnly":true,"type":"number"},"company":{"$ref":"#/components/schemas/Company"}
[...]
